Bug 522915 - setroubleshoot: SELinux is preventing /usr/sbin/prelink "unlink" access to deltarpm.ugwJSb.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/prelink "unlink" access ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:108d4ebe1d3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 06:48 UTC by Matěj Cepl
Modified: 2018-04-11 19:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 15:35:58 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2009-09-12 06:48:15 UTC
The following was filed automatically by setroubleshoot:

Souhrn:

SELinux is preventing /usr/sbin/prelink "unlink" access to deltarpm.ugwJSb.

Podrobný popis:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied prelink unlink on deltarpm.ugwJSb. The prelink program is only
allowed to manipulate files that are identified as executables or shared
libraries by SELinux. Libraries that get placed in lib directories get labeled
by default as a shared library. Similarly, executables that get placed in a bin
or sbin directory get labeled as executables by SELinux. However, if these files
get installed in other directories they might not get the correct label. If
prelink is trying to manipulate a file that is not a binary or share library
this may indicate an intrusion attack.

Povolení přístupu:

You can alter the file context by executing "chcon -t bin_t 'deltarpm.ugwJSb'"
or "chcon -t lib_t 'deltarpm.ugwJSb'" if it is a shared library. If you want to
make these changes permanent you must execute the semanage command. "semanage
fcontext -a -t bin_t 'deltarpm.ugwJSb'" or "semanage fcontext -a -t lib_t
'deltarpm.ugwJSb'". If you feel this executable/shared library is in the wrong
location please file a bug against the package that includes the file. If you
feel that SELinux should know about this file and label it correctly please file
a bug against SELinux policy.

Další informace:

Kontext zdroje                system_u:system_r:prelink_t:s0-s0:c0.c1023
Kontext cíle                 system_u:object_r:rpm_tmp_t:s0
Objekty cíle                 deltarpm.ugwJSb [ file ]
Zdroj                         prelink
Cesta zdroje                  /usr/sbin/prelink
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          prelink-0.4.2-2.fc12
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.6.31-2.fc12
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     prelink_mislabled
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.31-0.204.rc9.fc12.x86_64 #1 SMP
                              Sat Sep 5 20:45:55 EDT 2009 x86_64 x86_64
Počet upozornění           1
Poprvé viděno               So 12. září 2009, 08:46:25 CEST
Naposledy viděno             So 12. září 2009, 08:46:25 CEST
Místní ID                   bfe488fc-5224-4a4c-8d92-54db0bb07ba0
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1252737985.737:333): avc:  denied  { unlink } for  pid=4024 comm="prelink" name="deltarpm.ugwJSb" dev=tmpfs ino=3841578 scontext=system_u:system_r:prelink_t:s0-s0:c0.c1023 tcontext=system_u:object_r:rpm_tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252737985.737:333): arch=c000003e syscall=82 success=yes exit=0 a0=7fff68081410 a1=7fff68081450 a2=2380ea0 a3=1b items=0 ppid=4022 pid=4024 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="prelink" exe="/usr/sbin/prelink" subj=system_u:system_r:prelink_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= prelink_t ==============
allow prelink_t rpm_tmp_t:file unlink;

Comment 1 Daniel Walsh 2009-09-14 15:35:58 UTC
Fixed in selinux-policy-3.6.31-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.